### Virtual Method

# GObject Object set_property

#### Declaration [src]

    void
    set_property (
      GObject* object,
      guint property_id,
      const GValue* value,
      GParamSpec* pspec
    )

#### Description [src]

The generic setter for all properties of this type. Should be overridden for every type with properties. If implementations of `set_property` don’t emit property change notification explicitly, this will be done implicitly by the type system. However, if the notify signal is emitted explicitly, the type system will not emit it a second time.

#### Parameters

`property_id`

  Type: `guint`

  No description available.

`value`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.

`pspec`

  Type: `GParamSpec`

  No description available.

  The data is owned by the caller of the function.